Name:       perl-RT-Client-REST 
Version:    0.37 
Release:    4%{?dist}
# lib/RT/Client/REST.pm -> GPLv2
# see also /usr/bin/rt from the rt3 package
License:    GPLv2
Group:      Development/Libraries
Summary:    Talk to RT using REST protocol 
Source:     http://search.cpan.org/CPAN/authors/id/D/DM/DMITRI/RT-Client-REST-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/RT-Client-REST
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(Encode)
BuildRequires: perl(Error)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP)
BuildRequires: perl(Params::Validate)
# testing
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Kwalitee)

%description
*RT::Client::REST* is */usr/bin/rt* converted to a Perl module. I needed
to implement some RT interactions from my application, but did not feel
that invoking a shell command is appropriate. Thus, I took *rt* tool,
written by Abhijit Menon-Sen, and converted it to an object-oriented
Perl module.


%prep
%setup -q -n RT-Client-REST-%{version}

cat Changes | iconv -f iso8859-1 -t utf8 > x
mv x Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.37-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.37-1
- submission

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.37-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

